$primary: #009440;
$secondary: #C0C0C0;
$darkgray: #7f7f7f;
$success: $primary;

body {
  background-color: #e6fff1 !important;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #494949;
}

#nav {
  background-color: $primary;
  padding: 15px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}

#ML_updown {
  @media screen and (max-width: 390px) {
    max-height: 155px;
  }
  @media screen and (min-width: 391px) {
    max-height: 175px;
  }
  @media screen and (min-width: 470px) {
    max-height: 240px;
  }
  @media screen and (min-width: 768px) {
    max-height: 275px;
  }
}

.border-top-main {
  border-top: 2px solid $darkgray;
}

.statement {
  display: block;
  font-weight: normal;
  // padding: 30px 0 0 4.25%;
  margin-bottom: 10px;
}

.statement label {
  font-size: 12px;
  padding: 0 1em;
}

.likert, .five-likert {
  list-style: none;
  width: 100%;
  margin: 0;
  padding: 0 0 35px;
  display: block;
  border-bottom: 2px solid #efefef;
}

.likert:last-of-type, .five-likert:last-of-type {
  border-bottom: 0;
}

.likert:before {
  content: '';
  position: relative;
  top: 9px;
  left: 7.0%;
  display: block;
  background-color: $primary;
  height: 4px;
  width: 84%;
}

.five-likert:before {
  content: '';
  position: relative;
  top: 9px;
  left: 9.5%;
  display: block;
  background-color: $primary;
  height: 4px;
  width: 76%;
}

.likert {
  li {
    display: inline-block;
    width: 14%;
    text-align: center;
    vertical-align: top;
  }
}

.five-likert {
  li {
    display: inline-block;
    width: 19%;
    text-align: center;
    vertical-align: top;
  }
}

.likert, .five-likert {
  li {
    input[type=radio] {
      display: block;
      position: relative;
      top: 0;
      left: 50%;
      margin-left: -6px;
    }
  }
}

.likert, .five-likert {
  li {
    label {
      width: 100%;
    }
  }
}

textarea, input, select {
  caret-color: $primary;

  &:focus {
    border-color: $primary !important;
    box-shadow: 0 0 0 0.2rem rgba(0, 148, 64, 0.25) !important;
  }
}

fieldset {
  textarea {
    height: 200px !important;
  }
}

a {
  color: $primary !important;

  &:hover {
    color: #42b983 !important;
  }
}

.literature {
  font-size: 0.9rem;
  color: $darkgray;
}

//vertical table header
.verticalTableHeader {
  text-align: center;
  white-space: nowrap;
  transform-origin: 50% 50%;
  transform: rotate(-90deg);
  width: 50px !important;
}

.verticalTableHeader:before {
  content: '';
  padding-top: 110%; /* takes width as reference, + 10% for faking some extra padding */
  display: inline-flex;;
  vertical-align: middle;
}


//prevents flickering
.tooltip {
  pointer-events: none;
}

//progress bar
.progress {
  width: 50px;
  height: 50px !important;
  background: none !important;
  position: absolute;
  top: -44px;
}

.progress::after {
  content: "";
  width: 100%;
  height: 100%;
  border-radius: 50%;
  border: 6px solid $secondary;
  position: absolute;
  top: 0;
  left: 0;
}

.progress > span {
  width: 50%;
  height: 100%;
  overflow: hidden;
  position: absolute;
  top: 0;
  z-index: 1;
}

.progress .progress-left {
  left: 0;
}

.progress .progress-bar {
  width: 100%;
  height: 100%;
  background: none;
  border-width: 6px;
  border-style: solid;
  position: absolute;
  top: 0;
}

.progress .progress-left .progress-bar {
  left: 100%;
  border-top-right-radius: 80px;
  border-bottom-right-radius: 80px;
  border-left: 0;
  transform-origin: center left;
}

.progress .progress-right {
  right: 0;
}

.progress .progress-right .progress-bar {
  left: -100%;
  border-top-left-radius: 80px;
  border-bottom-left-radius: 80px;
  border-right: 0;
  transform-origin: center right;
}

.progress .progress-value {
  position: absolute;
  top: 0;
  left: 0;

  .percentplace {
    position: relative;
    top: 5px;
  }
}

.border-prim {
  border-color: $primary !important;
}

//overwriting .container in order to disable horizontal scrollbar
.container {
  max-width: 95% !important;
}

.fixed-table-container {
  @media screen and (min-width: 768px) and (max-width: 992px) {
    font-size: 10px;
  }
  @media screen and (min-width: 992px) and (max-width: 1220px) {
    font-size: 12px;
  }
  @media screen and (min-width: 1220px) {
    font-size: 14px; //16px == 1rem
  }

  th {
    vertical-align: middle !important;
  }

  td {
    white-space: nowrap;
  }
}

.th-inner {
  white-space: break-spaces !important;
}

.fa-check {
  color: $primary;
}

.fa-times {
  color: #940f00;
}

// table teil_2 to teil_5
thead {
  th {
    vertical-align: middle !important;
  }
}

.table-xai-features,
.table-xai-prediction {
  @media screen and (min-width: 768px) and (max-width: 992px) {
    font-size: 8px;
  }
  @media screen and (min-width: 992px) and (max-width: 1060px) {
    font-size: 11px;
  }
  @media screen and (min-width: 1060px) and (max-width: 1125px) {
    font-size: 12px;
  }
  @media screen and (min-width: 1125px) and (max-width: 1200px) {
    font-size: 13px;
  }
  @media screen and (min-width: 1200px) {
    font-size: 14px; //16px == 1rem
  }
  th {
    @media screen and (min-width: 768px) and (max-width: 992px) {
      height: 47px;
    }
    @media screen and (min-width: 992px) and (max-width: 1060px) {
      height: 59px;
    }
    @media screen and (min-width: 1060px) and (max-width: 1125px) {
      height: 65px;
    }
    @media screen and (min-width: 1125px) and (max-width: 1200px) {
      height: 68px;
    }
    @media screen and (min-width: 1200px) {
      height: 74px;
    }
  }
  select {
    @media screen and (min-width: 768px) and (max-width: 992px) {
      font-size: 6px;
    }
    @media screen and (min-width: 992px) and (max-width: 1060px) {
      font-size: 8px;
    }
    @media screen and (min-width: 1060px) and (max-width: 1125px) {
      font-size: 8px;
    }
    @media screen and (min-width: 1125px) and (max-width: 1200px) {
      font-size: 9px;
    }
    @media screen and (min-width: 1200px) and (max-width: 1300px){
      font-size: 10px; //16px == 1rem
    }
    @media screen and (min-width: 1300px) and (max-width: 1350px){
      font-size: 12px;
    }
    @media screen and (min-width: 1350px) {
      font-size: 14px;
    }
  }
}

.table-xai-features {
  border: 3px solid lightgray !important;
  text-align: center;
}

.table-xai-prediction {
  border: 3px solid lightblue;
}

/*--- colour scale ---*/
.colourscale-red {
  background-color: rgb(255, 0, 81);
  -webkit-mask-image: -webkit-gradient(linear, left top,
          right top, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)));
  height: 10px;
  width:80%;
}
.colourscale-blue {
  background-color: rgb(0,139,251);
  -webkit-mask-image: -webkit-gradient(linear, left top,
          right top, from(rgba(0,0,0,0)), to(rgba(0,0,0,1)));
  height: 10px;
  width:80%;
}

/*--- TableBootstrapVue ---*/
.b-table-sticky-header {
  table {
    @media screen and (min-width: 768px) and (max-width: 1024px) {
      font-size: 6px;
    }
    @media screen and (min-width: 1024px) and (max-width: 1220px) {
      font-size: 8px;
    }
    @media screen and (min-width: 1220px) and (max-width: 1440px){
      font-size: 10px; //16px == 1rem
    }
    @media screen and (min-width: 1440px) and (max-width: 2560px){
      font-size: 13px; //16px == 1rem
    }
    @media screen and (min-width: 2560px) {
      font-size: 14px; //16px == 1rem
    }
  }
}

.bg-body {
  background-color: #e6fff1;
}

/*--- interactive table---*/
.col-interactive {
  padding-right: 10px !important;
  padding-left: 10px !important;
  width: 7%;
}

